/*
* Jalview - A Sequence Alignment Editor and Viewer
* Copyright (C) 2005 AM Waterhouse, J Procter, G Barton, M Clamp, S Searle
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/
package jalview.datamodel;

import java.util.*;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision: 1.4 $
 */
public class HistoryItem
{
    /** DOCUMENT ME!! */
    public static final int EDIT = 0;

    /** DOCUMENT ME!! */
    public static final int SORT = 1;

    /** DOCUMENT ME!! */
    public static final int HIDE = 2;

    /** DOCUMENT ME!! */
    public static final int PASTE = 3;
    final int type;
    Vector sequences;
    Vector alignIndex;
    String description;
    Vector hiddenSeqs;

    /**
     * Creates a new HistoryItem object.
     *
     * @param description DOCUMENT ME!
     * @param al DOCUMENT ME!
     * @param type DOCUMENT ME!
     */
    public HistoryItem(String description, AlignmentI al, int type)
    {
        this.type = type;
        this.description = description;
        sequences = new Vector();
        alignIndex = new Vector();
        hiddenSeqs = new Vector();

        for (int i = 0; i < al.getHeight(); i++)
        {
            SequenceI seq = al.getSequenceAt(i);
            sequences.addElement(seq);
            alignIndex.addElement(i + "");
            hiddenSeqs.addElement(seq.getSequence().toString());
        }
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public int getType()
    {
        return type;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Vector getSequences()
    {
        return sequences;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public String getDescription()
    {
        return description;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Vector getHidden()
    {
        return hiddenSeqs;
    }

    /**
     * DOCUMENT ME!
     *
     * @param seq DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public int getAlignIndex(int seq)
    {
        return Integer.parseInt(alignIndex.elementAt(seq).toString());
    }
}
