/*
 * Jalview - A Sequence Alignment Editor and Viewer
 * Copyright (C) 2005 AM Waterhouse, J Procter, G Barton, M Clamp, S Searle
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
package jalview.io;

import java.io.*;
import java.net.*;

public class FileParse
{
  public File inFile;
  public int fileSize;
  public int noLines;
  protected String type;
  protected BufferedReader dataIn;

  public FileParse()
  {
  }

  public FileParse(String fileStr, String type)
      throws MalformedURLException, IOException
  {
    this.type = type;

    if (type.equals("File"))
    {
      this.inFile = new File(fileStr);
      this.fileSize = (int) inFile.length();

      dataIn = new BufferedReader(new FileReader(fileStr));
    }
    else if (type.equals("URL"))
    {
      URL url = new URL(fileStr);
      this.fileSize = 0;
      dataIn = new BufferedReader(new InputStreamReader(url.openStream()));
    }
    else if (type.equals("Paste"))
    {
      dataIn = new BufferedReader(new StringReader(fileStr));
    }
  }

  public String nextLine()
      throws IOException
  {
    String next = dataIn.readLine();

    if (next != null)
    {
      noLines++;
    }

    return next;
  }
}
