/*
* Jalview - A Sequence Alignment Editor and Viewer
* Copyright (C) 2005 AM Waterhouse, J Procter, G Barton, M Clamp, S Searle
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/
package jalview.jbgui;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision: 1.10 $
 */
public class GDesktop extends JFrame
{
    protected static JMenu windowMenu = new JMenu();
    JMenuBar DesktopMenubar = new JMenuBar();
    JMenu FileMenu = new JMenu();
    JMenu HelpMenu = new JMenu();
    JMenuItem inputLocalFileMenuItem = new JMenuItem();
    JMenuItem inputURLMenuItem = new JMenuItem();
    JMenuItem inputTextboxMenuItem = new JMenuItem();
    JMenuItem quit = new JMenuItem();
    JMenuItem aboutMenuItem = new JMenuItem();
    JMenuItem documentationMenuItem = new JMenuItem();
    FlowLayout flowLayout1 = new FlowLayout();
    JMenu toolsMenu = new JMenu();
    JMenuItem preferences = new JMenuItem();
    JMenuItem saveState = new JMenuItem();
    JMenuItem loadState = new JMenuItem();
    JMenu jMenu1 = new JMenu();

    /**
     * Creates a new GDesktop object.
     */
    public GDesktop()
    {
        try
        {
            jbInit();
            this.setJMenuBar(DesktopMenubar);
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
    }

    /**
     * DOCUMENT ME!
     *
     * @throws Exception DOCUMENT ME!
     */
    private void jbInit() throws Exception
    {
        FileMenu.setMnemonic('F');
        FileMenu.setText("File");
        HelpMenu.setText("Help");
        inputLocalFileMenuItem.setMnemonic('L');
        inputLocalFileMenuItem.setText("from File");
        inputLocalFileMenuItem.addActionListener(new java.awt.event.ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    inputLocalFileMenuItem_actionPerformed(e);
                }
            });
        inputURLMenuItem.setMnemonic('U');
        inputURLMenuItem.setText("from URL");
        inputURLMenuItem.addActionListener(new java.awt.event.ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    inputURLMenuItem_actionPerformed(e);
                }
            });
        inputTextboxMenuItem.setMnemonic('C');
        inputTextboxMenuItem.setText("from Textbox");
        inputTextboxMenuItem.addActionListener(new java.awt.event.ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    inputTextboxMenuItem_actionPerformed(e);
                }
            });
        quit.setMnemonic('Q');
        quit.setText("Quit");
        quit.addActionListener(new java.awt.event.ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    quit();
                }
            });
        aboutMenuItem.setText("About");
        aboutMenuItem.addActionListener(new java.awt.event.ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    aboutMenuItem_actionPerformed(e);
                }
            });
        documentationMenuItem.setText("Documentation");
        documentationMenuItem.addActionListener(new java.awt.event.ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    documentationMenuItem_actionPerformed(e);
                }
            });
        this.getContentPane().setLayout(flowLayout1);
        windowMenu.setText("Window");
        preferences.setText("Preferences...");
        preferences.addActionListener(new ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    preferences_actionPerformed(e);
                }
            });
        toolsMenu.setText("Tools");
        saveState.setMnemonic('S');
        saveState.setText("Save Project");
        saveState.addActionListener(new ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    saveState_actionPerformed(e);
                }
            });
        loadState.setMnemonic('L');
        loadState.setText("Load Project");
        loadState.addActionListener(new ActionListener()
            {
                public void actionPerformed(ActionEvent e)
                {
                    loadState_actionPerformed(e);
                }
            });
        jMenu1.setMnemonic('I');
        jMenu1.setText("Input Alignment");
        DesktopMenubar.add(FileMenu);
        DesktopMenubar.add(toolsMenu);
        DesktopMenubar.add(HelpMenu);
        DesktopMenubar.add(windowMenu);
        FileMenu.addSeparator();
        FileMenu.add(jMenu1);
        FileMenu.addSeparator();
        FileMenu.add(saveState);
        FileMenu.add(loadState);
        FileMenu.addSeparator();
        FileMenu.add(quit);
        HelpMenu.add(aboutMenuItem);
        HelpMenu.add(documentationMenuItem);
        toolsMenu.add(preferences);
        jMenu1.add(inputLocalFileMenuItem);
        jMenu1.add(inputURLMenuItem);
        jMenu1.add(inputTextboxMenuItem);
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    protected void inputLocalFileMenuItem_actionPerformed(ActionEvent e)
    {
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    protected void inputURLMenuItem_actionPerformed(ActionEvent e)
    {
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    protected void inputTextboxMenuItem_actionPerformed(ActionEvent e)
    {
    }

    /**
     * DOCUMENT ME!
     */
    protected void quit()
    {
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    protected void aboutMenuItem_actionPerformed(ActionEvent e)
    {
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    protected void documentationMenuItem_actionPerformed(ActionEvent e)
    {
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    public void SaveState_actionPerformed(ActionEvent e)
    {
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    protected void preferences_actionPerformed(ActionEvent e)
    {
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    public void saveState_actionPerformed(ActionEvent e)
    {
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    public void loadState_actionPerformed(ActionEvent e)
    {
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    public void loadJalviewAlign_actionPerformed(ActionEvent e)
    {
    }
}
